Index: libmpcodecs/Makefile
--- libmpcodecs/Makefile.orig	2006-06-11 20:35:41 +0200
+++ libmpcodecs/Makefile	2006-06-27 18:50:08 +0200
@@ -198,7 +198,7 @@
 ENCODER_SRCS+=ve_x264.c
 endif
 
-NATIVE_SRCS=native/minilzo.c \
+NATIVE_SRCS=\
             native/nuppelvideo.c \
             native/RTjpegN.c \
             native/xa_gsm.c \
Index: libmpcodecs/native/nuppelvideo.c
--- libmpcodecs/native/nuppelvideo.c.orig	2006-06-11 20:35:41 +0200
+++ libmpcodecs/native/nuppelvideo.c	2006-06-27 18:48:05 +0200
@@ -19,7 +19,11 @@
 
 #include "libmpdemux/nuppelvideo.h" 
 #include "RTjpegN.h"
+#ifdef USE_LIBLZO
+#include <lzo1x.h>
+#else
 #include "minilzo.h"
+#endif
 
 #define KEEP_BUFFER
 
Index: libmpcodecs/vd_lzo.c
--- libmpcodecs/vd_lzo.c.orig	2006-06-11 20:35:41 +0200
+++ libmpcodecs/vd_lzo.c	2006-06-27 18:48:05 +0200
@@ -10,9 +10,9 @@
 #include <lzo1x.h>
 #else
 #include "native/minilzo.h"
+#endif
 #define lzo_malloc malloc
 #define lzo_free free
-#endif
 
 #define MOD_NAME "DecLZO"
 
Index: libmpcodecs/ve_nuv.c
--- libmpcodecs/ve_nuv.c.orig	2006-06-11 20:35:41 +0200
+++ libmpcodecs/ve_nuv.c	2006-06-27 18:48:05 +0200
@@ -19,7 +19,11 @@
 #include "vf.h"
 
 #include "libmpdemux/nuppelvideo.h"
+#ifdef USE_LIBLZO
+#include <lzo1x.h>
+#else
 #include "native/minilzo.h"
+#endif
 #include "native/RTjpegN.h"
 
 #define LZO_AL(size) (((size) + (sizeof(long) - 1)) / sizeof(long))
Index: loader/Makefile
--- loader/Makefile.orig	2006-06-11 20:35:46 +0200
+++ loader/Makefile	2006-06-27 18:48:05 +0200
@@ -21,7 +21,7 @@
 # Note: -D_FILE_OFFSET_BITS=32 is required to disable using mmap64(),
 # as it's broken in glibc 2.1.2 (bad header) and 2.1.3 (bad code)
 WARN_FLAGS = 
-CFLAGS=-I. -I.. $(OPTFLAGS) -U_FILE_OFFSET_BITS $(EXTRA_INC) $(WARN_FLAGS) -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer
+CFLAGS=-I. -I.. $(OPTFLAGS) -U_FILE_OFFSET_BITS $(EXTRA_INC) $(WARN_FLAGS) -fno-omit-frame-pointer
 #CFLAGS=-I. -I.. -O $(WARN_FLAGS) -g #-fno-omit-frame-pointer
 
 all: libloader.a
